<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>netstandard2.1</TargetFramework>
    <Nullable>enable</Nullable>
    <GeneratePackageOnBuild>True</GeneratePackageOnBuild>
    <PackageId>EonaCat.LogStack.OpenTelemetryFlow</PackageId>
    <Title>EonaCat.LogStack.OpenTelemetryFlow</Title>
    <Version>0.0.1</Version>
    <Authors>EonaCat.LogStack.OpenTelemetryFlow</Authors>
    <Company>EonaCat (Jeroen Saey)</Company>
    <Description>EonaCat OpenTelemetry Flow for LogStack</Description>
    <Copyright>EonaCat (Jeroen Saey)</Copyright>
    <PackageProjectUrl>https://git.saey.me/EonaCat/EonaCat.LogStack</PackageProjectUrl>
    <PackageIcon>icon.png</PackageIcon>
    <PackageReadmeFile>README.md</PackageReadmeFile>
    <RepositoryUrl>https://git.saey.me/EonaCat/EonaCat.LogStack</RepositoryUrl>
    <RepositoryType>git</RepositoryType>
    <PackageTags>EonaCat; OpenTelemetry; Flow; LogStack; Logging; Jeroen;Saey</PackageTags>
    <PackageLicenseFile>README.md</PackageLicenseFile>
  </PropertyGroup>

  <ItemGroup>
    <None Include="..\EonaCat.LogStack\icon.png">
      <Pack>True</Pack>
      <PackagePath>\</PackagePath>
    </None>
    <None Include="..\README.md">
      <Pack>True</Pack>
      <PackagePath>\</PackagePath>
    </None>
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="OpenTelemetry" Version="1.16.0" />
    <PackageReference Include="OpenTelemetry.Exporter.OpenTelemetryProtocol" Version="1.16.0" />
    <PackageReference Include="OpenTelemetry.Extensions.Hosting" Version="1.16.0" />
    <PackageReference Include="System.Threading.AccessControl" Version="10.0.9" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\EonaCat.LogStack\EonaCat.LogStack.csproj" />
  </ItemGroup>

</Project>
